Bug 830277 - Review Request: wmcoincoin - Funny dock-app for browsing and interact to XML board sites
Review Request: wmcoincoin - Funny dock-app for browsing and interact to XML ...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2012-06-08 13:54 EDT by Pierre
Modified: 2015-01-12 03:15 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-19 06:07:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pierre 2012-06-08 13:54:11 EDT
Spec URL: http://pierre80.fedorapeople.org/SPECS/wmcoincoin.spec
SRPM URL: http://pierre80.fedorapeople.org/SRPMS/wmcoincoin-2.5.1f-1.fc17.src.rpm
Description: wmcoincoin is an funny wmmaker dockapp designed to browse and interact with web chats based on a XML backend like linuxfr.org (a french linux news website)  
Fedora Account System Username:pierre80
Comment 1 Pierre 2012-06-09 09:52:37 EDT
Hello everywhere I have updated some files: 
wmcoincoin-2.5.1f-1.fc17.src.rpm 
rpmlint output is : rpmlint '/home/pierre/rpmbuild/SRPMS/wmcoincoin-2.5.1f-1.fc17.src.rpm' 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
wmcoincoin-2.5.1f-1.fc17.i686.rpm
rpmlint output is :rpmlint '/home/pierre/rpmbuild/RPMS/i686/wmcoincoin-2.5.1f-1.fc17.i686.rpm' 
wmcoincoin.i686: E: incorrect-fsf-address /usr/share/doc/wmcoincoin-2.5.1f/COPYING
wmcoincoin.i686: W: file-not-utf8 /usr/share/doc/wmcoincoin-2.5.1f/AUTHORS
wmcoincoin.i686: W: file-not-utf8 /usr/share/doc/wmcoincoin-2.5.1f/README
wmcoincoin.i686: W: file-not-utf8 /usr/share/doc/wmcoincoin-2.5.1f/NEWS
wmcoincoin.i686: W: no-manual-page-for-binary wmcoincoin-search-cookies
wmcoincoin.i686: W: no-manual-page-for-binary wmcoincoin-totoz-get
wmcoincoin.i686: W: no-manual-page-for-binary wmccc
wmcoincoin.i686: W: no-manual-page-for-binary wmpanpan
wmcoincoin.i686: W: no-manual-page-for-binary wmcoincoin_player
wmcoincoin.i686: W: no-manual-page-for-binary wmcoincoin
I also add patchs for : 
the first patch has created to add in makfile.am at line 128 xmps/icon.xpm it's necessary for use the duck to icon of this program 
The second patch is designed to support linuxfr board without this patch there is an error 406 when the user posts at this board  
The file wmcoincoin.spec was also updated : 
I have corrected some parts of this file to follow fedora package guidlines
Comment 2 Pierre 2012-06-09 10:37:20 EDT
After testing this package works on my machine (for information on my machine it's a fedora 17 x32 running on a AMD sempron ) I can post on all boards "totozes" (smileys) works normally there is no crashes but this program does not support UTF8 encoding posts there are replace by questions marks it's normal
Comment 3 Pierre 2012-06-09 19:46:56 EDT
I've resolved the encoding problems in wmcoincoin.spec ,in this file I've added 
iconv -f iso8859-1 -t utf-8 AUTHORS > AUTHORS.conv && mv -f AUTHORS.conv AUTHORS
iconv -f iso8859-1 -t utf-8 COPYING > COPYING.conv && mv -f COPYING.conv COPYING
iconv -f iso8859-1 -t utf-8 INSTALL > INSTALL.conv && mv -f INSTALL.conv INSTALL
iconv -f iso8859-1 -t utf-8 README > README.conv && mv -f README.conv README
iconv -f iso8859-1 -t utf-8 NEWS  > NEWS.conv && mv -f NEWS.conv NEWS 
iconv -f iso8859-1 -t utf-8 TODO  >  TODO.conv	&& mv -f  TODO.conv   TODO 
to convert to utf8 encoding COPYING AUTHORS README NEWS INSTALL I've also correct the outdated fsf address with the help of the sed command :
sed -i "s/59 Temple Place, Suite 330, Boston, MA  02111-1307  USA/51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA/g" COPYING 
The next step is integrate man pages into this packet and propose my modifications to the original author of this software
Comment 4 Pierre 2012-06-10 12:56:04 EDT
The requires of my rpm package are :
Requires(interp): /bin/sh /bin/sh /bin/sh
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(FileDigests) <= 4.6.0-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires(post): /bin/sh
Requires(postun): /bin/sh
Requires: /bin/bash /bin/sh 
libICE.so.6 
libImlib2.so.1 
libSM.so.6 
libX11.so.6 
libXext.so.6 
libXft.so.2 
libXinerama.so.1 
libatk-1.0.so.0 
libc.so.6 
libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1) libc.so.6(GLIBC_2.15) libc.so.6(GLIBC_2.3) libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libc.so.6(GLIBC_2.7) 
libcairo.so.2 
libdl.so.2 
libfontconfig.so.1 
libfreetype.so.6 
libgdk-x11-2.0.so.0 
libgdk_pixbuf-2.0.so.0 
libgio-2.0.so.0 
libglib-2.0.so.0 
libgobject-2.0.so.0 
libgtk-x11-2.0.so.0 
libm.so.6 
libm.so.6(GLIBC_2.0) libm.so.6(GLIBC_2.1) 
libpango-1.0.so.0 libpangocairo-1.0.so.0 libpangoft2-1.0.so.0 rtld(GNU_HASH)
In my spec file I have added in the build require lines theses devel dependencies after testing SRPM in mock to find missing dependencies  :
libXft-devel libICE-devel libXt-devel libXinerama-devel gtk2-devel imlib2-devel freetype-devel desktop-file-utils
After the modification of the spec with the help of mock the SRPM is building correctly in the chrooted fedora 16 and 17 environment 
In the spec file I have added in the %prep section :sed -i "s/59 Temple Place, Suite 330, Boston, MA  02111-1307  USA/51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA/g" src/wmcoincoin.c
sed -i "s/59 Temple Place, Suite 330, Boston, MA  02111-1307  USA/51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA/g" src/myprintf.c
sed -i "s/59 Temple Place, Suite 330, Boston, MA  02111-1307  USA/51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA/g" src/spell_coin.c
sed -i "s/59 Temple Place, Suite 330, Boston, MA  02111-1307  USA/51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA/g" src/balloon.c
sed -i "s/59 Temple Place, Suite 330, Boston, MA  02111-1307  USA/51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA/g" src/regexp.h
sed -i "s/59 Temple Place, Suite 330, Boston, MA  02111-1307  USA/51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA/g" src/regexp.c
sed -i "s/59 Temple Place, Suite 330, Boston, MA  02111-1307  USA/51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA/g" src/dock.c
sed -i "s/59 Temple Place, Suite 330, Boston, MA  02111-1307  USA/51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA/g" src/board.c
sed -i "s/59 Temple Place, Suite 330, Boston, MA  02111-1307  USA/51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA/g" src/board_util.c
sed -i "s/59 Temple Place, Suite 330, Boston, MA  02111-1307  USA/51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA/g" src/palmipede.c
sed -i "s/59 Temple Place, Suite 330, Boston, MA  02111-1307  USA/51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA/g" src/msgbox.c 
after a test of http://pierre80.fedorapeople.org/RPMS/i686/wmcoincoin-debuginfo-2.5.1f-1.fc17.i686.rpm with rpmlint that gave errors of incorrect-fsf-address 
After this add and rpmbuild -ba the errors are removed 
In the final RPM : errors of manpage are still exists because this software haven't manpages
Comment 5 Mohamed El Morabity 2012-06-11 16:33:44 EDT
Just some comments for the moment:

- you MUST NOT fix yourself the FSF address in the source code and the license. It's up to you to warn the wmcoincoin's developers about this issue.

- you don't need to provide the INSTALL file, it's useless since users don't care about the way to install manually wmcoincoin.

- you should use a loop to fix encoding, it will make your spec more legible:
for f in AUTHORS COPYING README NEWS TODO; do
   iconv -f iso8859-1 -t utf-8 $f >$f.conv && mv -f $f.conv $f
done

- in %setup section:
    %setup -q -n %{name}-%{version}
  You can simply replace this line by:
    %setup -q
  The %setup macro uses the %{name}-%{version} pattern by default.

- The %clean section is useless, as well as cleaning the buildroot in %prep:
    https://fedoraproject.org/wiki/Packaging:Guidelines#.25clean
   Please remove them.

- %defattr is useless too:
    https://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions

- Be careful with the version: 2.5.1f seems to be a 2.5.1 post-release. Please refer to http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Post-Release_packages to fix it.

- These macro definitions are useless:
    %define name wmcoincoin
    %define version 2.5.1f
    %define release 1%{?dist}
   You MUST remove them.

- Don't forget to add a final dot in English and French descriptions. Sentences always end with a dot.
Comment 6 Pierre 2012-06-12 12:28:54 EDT
I have editing the spec file and I remove :

%define version 2.5.1f
%define release 1%{?dist}
and replace :
Version:	%{version}
Release:	%{release}
and replace by theses lines :
Name:		wmcoincoin
Version:	2.5.1
Release:	f%{?dist}
I have also add theses lines  : 
%global postver f
%setup -q -n   %{name}-%{version}%{postver}
to correct the problem with the subfolder /wmcoincoin2.5.1f at the time of the build process 

I also removed the correction of the fsf address and I am informed the original developers of this software for correction of this problem . 
The .spec file :
http://pierre80.fedorapeople.org/SPECS/wmcoincoin.spec
The srpm file :
http://pierre80.fedorapeople.org/SRPMS/wmcoincoin-2.5.1-f.fc17.src.rpm
The debug symbols (if needed) 
http://pierre80.fedorapeople.org/RPMS/i686/wmcoincoin-debuginfo-2.5.1-f.fc17.i686.rpm 
And an I686 build :
http://pierre80.fedorapeople.org/RPMS/i686/wmcoincoin-2.5.1-f.fc17.i686.rpm
Comment 7 Pierre 2012-06-14 11:59:44 EDT
At this time I also testing this rpm (by yum localinstall) and it's works perfectly .
Comment 8 Mohamed El Morabity 2012-06-17 19:55:15 EDT
The release tag is not good. The release number is missing but is mandatory: it defines the number of times the package has been modified using the same version of the packaged software. According to the guidelines (see links above), it should look like this:
   Release:	1.f%{?dist}


Take also advantage of the macros, especially in the Source tag:
   Release:	1.%{postver}%{?dist}
   [...]
   Source:		http://hules.free.fr/wmcoincoin/download/%{name}-%{version}%{postver}.tar.gz
Thanks to macros, you only modify once release and version numbers when you update your package.


Please use breakline to separate each section of your .spec file, it'll make your spec file easier to read:
   <linebreak>
   %prep
   %setup -q -n   %{name}-%{version}%{postver}
   [...]
   <linebreak>
   %build
   %configure
   [...]


The scriplets (%post/%postun/%posttrans) are completely useless here:
- no icon is installed in /usr/share/icons/ by your package;
- there's no MimeType key in your desktop file.
Please remove them.
   http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-database
   http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache


Please remove the Encoding key in your .desktop file, it's deprecated:
   http://standards.freedesktop.org/desktop-entry-spec/0.9.5/apd.html


> - Don't forget to add a final dot in English and French descriptions.
> Sentences always end with a dot.
Only descriptions, not summaries. rpmlint complains about summaries ending with a dot.
Comment 9 Mohamed El Morabity 2012-06-17 19:56:45 EDT
By the way, only links to spec files and source RPMs are required in a review. Binary RPMs are useless, it's up to the reviewer to build and check binary RPMs.
Comment 10 Pierre 2012-06-18 11:40:13 EDT
I 'm changing some lines in my  .spec file to follows the fedora package guidlines I'm removed the useless %post %postun %posttrans lines . 
I'am also changed the .desktop file removing the encoding line (because it's useless) .
Section %changlog is upated . 

http://pierre80.fedorapeople.org/SPECS/wmcoincoin.spec SPEC file 
http://pierre80.fedorapeople.org/SRPMS/wmcoincoin-2.5.1-5.f.fc17.src.rpm SRPM file
Comment 11 Pierre 2012-06-29 15:07:59 EDT
At this point I have finised the packaging of this software and it can be submited for review process .
Comment 12 Pierre 2012-07-02 13:59:51 EDT
I am updating the package because the upstreamer release a new version with my patchs and add experimental UTF8 support . 
The spec is updated :
http://pierre80.fedorapeople.org/SPECS/wmcoincoin.spec
and this is the srpm :
http://pierre80.fedorapeople.org/SRPMS/wmcoincoin-2.6.0-1.fc17.src.rpm
This package has been tested in fedora 17 i686 and it's works perfectely .
Comment 13 Mario Blättermann 2012-07-13 18:00:56 EDT
make install DESTDIR=$RPM_BUILD_ROOT
...
mkdir -p %{buildroot}%{_datadir}/applications

Don't mix $RPM_BUILD_ROOT and %{buildroot} in the same spec file. I recommend to use the latter one for better readability.
Comment 14 Pierre 2012-07-13 21:11:40 EDT
I have replaced the $RPM_BUILD_ROOT value  by %{buildroot} value in the %install section 
The spec and srpm files reflects theses modifications :
http://pierre80.fedorapeople.org/SPECS/wmcoincoin.spec
http://pierre80.fedorapeople.org/SRPMS/wmcoincoin-2.6.0-2.fc17.src.rpm
Comment 15 Pierre 2012-08-11 14:47:18 EDT
Upstream has released a new version of this software 2.6.1 that improve UTF8 compatibility and adding xdg-open choice for default webrowser (and removing useless entries like mozilla-firefox or mozilla) 
I have building rpm's for this version and updating .spec and .srpm files 
http://pierre80.fedorapeople.org/SPECS/wmcoincoin.spec
http://pierre80.fedorapeople.org/SRPMS/wmcoincoin-2.6.1-1.fc17.src.rpm
Comment 16 Mario Blättermann 2012-08-14 14:42:49 EDT
@Pierre,

it doesn't make sense to give a higher priority to your review request. First you need a sponsor. Unfortunately, I cannot sponsor you. The best way is to make some informal reviews or at least leave a couple of helpful comments in open review requests [1]. This way your chance will rise to find a sponsor.

[1] http://fedoraproject.org/PackageReviewStatus/NEW.html
Comment 17 Fedora End Of Life 2013-07-04 03:40:02 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2013-08-01 16:02:39 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 19 Christopher Meng 2013-08-02 03:58:08 EDT
Please don't change version, just rawhide, I don't know why you changed it in 2012 from rawhide to 17.
Comment 20 Till Maas 2013-10-21 16:03:25 EDT
Pierre, as written in comment 16, please perform informal reviews to show, that your are familiar with the packaging guidelines and provide links to the reviews here.
Comment 21 Parag AN(पराग) 2015-01-12 03:15:25 EST
Removing FE-NEEDSPONSOR from the closed review tickets.

Note You need to log in before you can comment on or make changes to this bug.